DataBolsa docs
ApiMercadoEua

Catálogo de ativos dos EUA (ações S&P 500/Nasdaq-100 + ETFs)

GET
/v1/us/assets
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string
limit?integer
Default100
Range1 <= value <= 1000
search?string
type?string
Value in"stock" | "etf"
bdr?string

Filtra pelo BDR correspondente na B3 (ex.: AAPL34)

Response Body

curl -X GET "https://api.databolsa.com/v1/us/assets?cursor=string&limit=100&search=string&type=stock&bdr=string"
{
  "data": [
    {
      "ticker": "string",
      "name": "string",
      "type": "stock",
      "in_sp500": true,
      "in_ndx100": true,
      "bdr_ticker": "string",
      "first_date": "string",
      "last_date": "string",
      "close_usd": 0,
      "change_pct_1d": 0,
      "change_pct_1m": 0,
      "change_pct_1y": 0,
      "high_52w": 0,
      "low_52w": 0,
      "volume_1d": 0
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}